using System;
using System.Runtime.InteropServices;

class _xwrapper_portable_dynamic_loader_
{
    const int RTLD_NOW = 2;
    [DllImport("libdl.so")]
    static extern IntPtr dlopen(string filename, int flags);
    [DllImport("libdl.so")]
    static extern IntPtr dlsym(IntPtr handle, string symbol);
    public static IntPtr LoadLibrarySafe(string name)
    {
        return dlopen(name,RTLD_NOW);
    }
    public static IntPtr GetProcAddressSafe(IntPtr hLib, string name)
    {
        return dlsym(hLib, name);
    }
}
